Person
curl --request GET \
--url https://api.themoviedb.org/3/search/personimport requests
url = "https://api.themoviedb.org/3/search/person"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.themoviedb.org/3/search/person', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 1,
"results": [
{
"adult": false,
"gender": 1,
"id": 550627,
"known_for": [
{
"adult": false,
"backdrop_path": "/scMU7yDvzZdqpqb24WcuQB0i4fb.jpg",
"genre_ids": [
28,
53,
80,
35
],
"id": 36282,
"media_type": "movie",
"original_language": "ja",
"original_title": "極道戦国志 不動",
"overview": "In order to settle a business dispute, a mob leader murders one of his own teenage sons. The surviving son vows to avenge his brother's death, and organizes his own gang of teenage killers to destroy his father's organization.",
"popularity": 6.49,
"poster_path": "/kRlmTuDdZEGPbbXavNmiafUYYka.jpg",
"release_date": "1996-10-12",
"title": "Fudoh: The New Generation",
"video": false,
"vote_average": 6.6,
"vote_count": 64
},
{
"adult": false,
"backdrop_path": "/1XUjqfCCgoqGiJYV6hfPlHOxC59.jpg",
"genre_ids": [
28,
18,
53
],
"id": 36274,
"media_type": "movie",
"original_language": "ja",
"original_title": "実録・安藤昇侠道(アウトロー)伝 烈火",
"overview": "After Kunisada's Yakuza leader and father figure is brutally murdered, he and his best friend go on a two-man mission to avenge his death, killing other Yakuza leaders leading to a final confrontation by the old man's killers.",
"popularity": 3.365,
"poster_path": "/2r4WNCpwAQzekbaZwoCcOv1GJuO.jpg",
"release_date": "2002-09-21",
"title": "Deadly Outlaw: Rekka",
"video": false,
"vote_average": 6.7,
"vote_count": 28
},
{
"adult": false,
"backdrop_path": null,
"genre_ids": [
18
],
"id": 792589,
"media_type": "movie",
"original_language": "cn",
"original_title": "女歡",
"overview": "Female modeling and lesbian interest",
"popularity": 5.576,
"poster_path": "/6owpqEOBcnDJ6r6GEoV4xZcdolo.jpg",
"release_date": "1998-01-01",
"title": "Intimate Desire",
"video": false,
"vote_average": 1.5,
"vote_count": 2
}
],
"known_for_department": "Acting",
"name": "Miho Nomoto",
"original_name": "野本美穂",
"popularity": 133.991,
"profile_path": "/ego6I5PWMZRJGYyu8aPjiNwsz3l.jpg"
},
{
"adult": false,
"gender": 0,
"id": 2533080,
"known_for": [],
"known_for_department": "Acting",
"name": "Miho Nomoto",
"original_name": "Miho Nomoto",
"popularity": 0.001,
"profile_path": null
}
],
"total_pages": 1,
"total_results": 2
}Search
Person
Search for people by their name and also known as names.
GET
/
3
/
search
/
person
Person
Query Parameters
Example:
"%22Miho%20Nomoto%22"
Example:
"false"
Example:
"en-US"
Example:
"1"
Response
200 - application/json
Person
Example:
1
Show child attributes
Show child attributes
Example:
[
{
"adult": false,
"gender": 1,
"id": 550627,
"known_for": [
{
"adult": false,
"backdrop_path": "/scMU7yDvzZdqpqb24WcuQB0i4fb.jpg",
"genre_ids": [28, 53, 80, 35],
"id": 36282,
"media_type": "movie",
"original_language": "ja",
"original_title": "極道戦国志 不動",
"overview": "In order to settle a business dispute, a mob leader murders one of his own teenage sons. The surviving son vows to avenge his brother's death, and organizes his own gang of teenage killers to destroy his father's organization.",
"popularity": 6.49,
"poster_path": "/kRlmTuDdZEGPbbXavNmiafUYYka.jpg",
"release_date": "1996-10-12",
"title": "Fudoh: The New Generation",
"video": false,
"vote_average": 6.6,
"vote_count": 64
},
{
"adult": false,
"backdrop_path": "/1XUjqfCCgoqGiJYV6hfPlHOxC59.jpg",
"genre_ids": [28, 18, 53],
"id": 36274,
"media_type": "movie",
"original_language": "ja",
"original_title": "実録・安藤昇侠道(アウトロー)伝 烈火",
"overview": "After Kunisada's Yakuza leader and father figure is brutally murdered, he and his best friend go on a two-man mission to avenge his death, killing other Yakuza leaders leading to a final confrontation by the old man's killers.",
"popularity": 3.365,
"poster_path": "/2r4WNCpwAQzekbaZwoCcOv1GJuO.jpg",
"release_date": "2002-09-21",
"title": "Deadly Outlaw: Rekka",
"video": false,
"vote_average": 6.7,
"vote_count": 28
},
{
"adult": false,
"backdrop_path": null,
"genre_ids": [18],
"id": 792589,
"media_type": "movie",
"original_language": "cn",
"original_title": "女歡",
"overview": "Female modeling and lesbian interest",
"popularity": 5.576,
"poster_path": "/6owpqEOBcnDJ6r6GEoV4xZcdolo.jpg",
"release_date": "1998-01-01",
"title": "Intimate Desire",
"video": false,
"vote_average": 1.5,
"vote_count": 2
}
],
"known_for_department": "Acting",
"name": "Miho Nomoto",
"original_name": "野本美穂",
"popularity": 133.991,
"profile_path": "/ego6I5PWMZRJGYyu8aPjiNwsz3l.jpg"
},
{
"adult": false,
"gender": 0,
"id": 2533080,
"known_for": [],
"known_for_department": "Acting",
"name": "Miho Nomoto",
"original_name": "Miho Nomoto",
"popularity": 0.001,
"profile_path": null
}
]
Example:
1
Example:
2